//package parport;

import java.io.*;
import java.util.*;
import java.awt.*;
import java.awt.image.*;
import javax.imageio.*;
import javax.media.*;
import javax.media.control.*;
import javax.media.format.*;
import javax.media.util.*;

public class GetFrame {

    public Player player = null;
    private int sleep=0;

    public GetFrame(int sleep) {
        this.sleep = sleep;
    }

    public void startCamera() throws Exception {

        //MediaLocator loc = new MediaLocator("v4l:W996[87]CF USB Camera #0:0");
        MediaLocator loc = new MediaLocator("v4l:Logitech QuickCam Pro 4000:0");
        this.player = Manager.createRealizedPlayer(loc);
        this.player.start();

        // Wait a few seconds for camera to initialise (otherwise img==null)
        Thread.sleep(this.sleep);
    }

    public void stopCamera() {
        this.player.close();
        this.player.deallocate();
    }

    public BufferedImage captureCamera() {
        // Grab a frame from the capture device
        FrameGrabbingControl frameGrabber = (FrameGrabbingControl)this.player.getControl("javax.media.control.FrameGrabbingControl");
        Buffer buf = frameGrabber.grabFrame();

        // Convert frame to an buffered image so it can be processed and saved
        Image img = (new BufferToImage((VideoFormat)buf.getFormat()).createImage(buf));
        BufferedImage buffImg = new BufferedImage(img.getWidth(null),img.getHeight(null), BufferedImage.TYPE_INT_RGB);
        Graphics2D g = buffImg.createGraphics();
        g.drawImage(img, null, null);

        return(buffImg);
    }

    public static void main(String args[]) {
        GetFrame webcam = new GetFrame(10);

        try {
            webcam.startCamera();
        } catch ( java.lang.Exception e ) {
            System.out.println("Problemas para inicializar camera: "+e);
        }

    }


}
